Skip to content

Revoke assertionMethod key Prepare

POST
/v1/did/keys/assertion/{keyId}/revoke/prepare
curl --request POST \
--url https://api.parasta.io/v1/did/keys/assertion/example/revoke/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
keyId
required
string
Media type application/json
object
Example generated
{}

OK

Media type application/json
object
signing
object
description
string
items
required
Array<object>
object
id
required
string
parameter
required

Time- and state-independent parameters of a signing slot. One of two modes: on-chain signing (algorithm + keyUri + domain) or 2FA (authMethod).

object
algorithm

E.g.: ecdsa-secp256k1-keccak, eip191-personal-sign, eip712-erc4337-userop-v1, eip712-erc4337-merkleroot-v1.

string
keyUri
string
domain
object
key
additional properties
any
authMethod
string
Allowed values: passkey fido2 kyc totp
payload

Present only for on-chain signing slots. Empty for 2FA slots.

string
Example
{
"signing": {
"items": [
{
"parameter": {
"algorithm": "ecdsa-secp256k1-keccak",
"authMethod": "passkey"
}
}
]
}
}

Please contact your representative. 담당자에게 문의해주세요.